Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.instantmessagingserver
Interface InstantMessagingServerManager

All Known Implementing Classes:
  InstantMessagingServerManagerImpl

    public interface InstantMessagingServerManager

Method Summary
`Collection` | `getAllInstantMessagingServers()` Returns all `InstantMessagingServerDefinition` objects
`InstantMessagingServerDefinition` | `getInstantMessagingServer(long instantMessagingServerId)` Returns the `InstantMessagingServerDefinition` that matches the passed id
`void` | `removeInstantMessagingServer(long instantMessagingServerId)` Removes the `InstantMessagingServerDefinition` with the matching id
`void` | `saveInstantMessagingServer(InstantMessagingServerDefinition instantMessagingServer)` Stores the `InstantMessagingServerDefinition`.
`void` | `sendMessage(InstantMessagingServerDefinition server, Set recipients, String message)` Deprecated. - use `BambooSmackClient`

Method Detail

### getAllInstantMessagingServers

    Collection getAllInstantMessagingServers()

  Returns all `InstantMessagingServerDefinition` objects

  Returns:
    An unmodifiable collection of `InstantMessagingServerDefinition` objects, `Collections.EMPTY_LIST` if none exists.

### saveInstantMessagingServer

    void saveInstantMessagingServer(InstantMessagingServerDefinition instantMessagingServer)

  Stores the `InstantMessagingServerDefinition`.

  Parameters:
    `instantMessagingServer` - - Must not be null

### getInstantMessagingServer

    InstantMessagingServerDefinition getInstantMessagingServer(long instantMessagingServerId)

  Returns the `InstantMessagingServerDefinition` that matches the passed id

  Parameters:
    `instantMessagingServerId` -
  Returns:
    Matching `InstantMessagingServerDefinition` object. Null if the server does not exist

### removeInstantMessagingServer

    void removeInstantMessagingServer(long instantMessagingServerId)

  Removes the `InstantMessagingServerDefinition` with the matching id

  Parameters:
    `instantMessagingServerId` -
  Throws:
    `IllegalArgumentException` - - is thrown if server does not exist

### sendMessage

    void sendMessage(InstantMessagingServerDefinition server,
                     Set recipients,
                     String message)
                     throws XMPPException

  Deprecated. - use `BambooSmackClient`

  Sends a test message

  Parameters:
    `server` -
    `recipients` -
    `message` -
  Throws:
    `XMPPException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.